Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • backlog
  • board
  • epic
  • issue
  • sprint
  • application-properties
  • applicationrole
  • attachment
  • avatar
  • cluster
  • comment
  • component
  • configuration
  • customFieldOption
  • customFields
  • dashboard
  • email-templates
  • field
  • filter
  • group
  • groups
  • groupuserpicker
  • index-snapshot
  • index
  • issueLinkType
  • issuesecurityschemes
  • issuetype
  • issuetypescheme
  • jql
  • licenseValidator
  • monitoring
  • mypermissions
  • mypreferences
  • myself
  • notificationscheme
  • password
  • permissions
  • permissionscheme
  • priority
  • priorityschemes
  • project
  • projectCategory
  • projects
  • projectvalidate
  • reindex
  • resolution
  • role
  • screens
  • securitylevel
  • serverInfo
  • settings
  • status
  • statuscategory
  • terminology
  • universal_avatar
  • upgrade
  • user
  • version
  • workflow
  • workflowscheme
  • worklog
  • session
  • websudo
Server
Jira Data Center / / Modules

group

Postman Collection
OpenAPI
POST

Create a group with given parameters

Creates a group by given group parameter

Forge and OAuth2 apps cannot access this REST resource.

Request

Request bodyapplication/json

name

string

Responses

Returns full representation of a Jira group in JSON format.

application/json

GroupBean
POST/api/2/group
1 2 3 4 5 curl --request POST \ --url 'http://{baseurl}/rest/api/2/group' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json'
DEL

Delete a specified group

Deletes a group by given group parameter

Forge and OAuth2 apps cannot access this REST resource.

Request

Query parameters

groupname

string

Required
swapGroup

string

Responses

Returned if the group was deleted.

DEL/api/2/group
1 2 3 curl --request DELETE \ --url 'http://{baseurl}/rest/api/2/group?groupname={groupname}' \ --user 'email@example.com:<api_token>'
GET

Get users from a specified group

Returns a paginated list of users who are members of the specified group and its subgroups

Forge and OAuth2 apps cannot access this REST resource.

Request

Query parameters

includeInactiveUsers

string

maxResults

string

groupname

string

Required
startAt

string

Responses

Returns a paginated list of users in the group

application/json

UserJsonBean
GET/api/2/group/member
1 2 3 4 curl --request GET \ --url 'http://{baseurl}/rest/api/2/group/member?groupname={groupname}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
POST

Add a user to a specified group

Adds given user to a group

Forge and OAuth2 apps cannot access this REST resource.

Request

Query parameters

groupname

string

Required

Request bodyapplication/json

name

string

Responses

Returns full representation of a Jira group in JSON format.

application/json

GroupBean
POST/api/2/group/user
1 2 3 4 5 curl --request POST \ --url 'http://{baseurl}/rest/api/2/group/user?groupname={groupname}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json'
DEL

Remove a user from a specified group

Removes given user from a group

Forge and OAuth2 apps cannot access this REST resource.

Request

Query parameters

groupname

string

Required
username

string

Required

Responses

If the user was removed from the group.

DEL/api/2/group/user
1 2 3 curl --request DELETE \ --url 'http://{baseurl}/rest/api/2/group/user?groupname={groupname}&username={username}' \ --user 'email@example.com:<api_token>'

Rate this page: